import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { IERC1155M, IERC1155MInterface } from "../../contracts/IERC1155M";
export declare class IERC1155M__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "CannotIncreaseMaxMintableSupply";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CosignerNotSet";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "GlobalWalletLimitOverflow";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsufficientStageTimeGap";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidCosignSignature";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidLimitArgsLength";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidProof";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidStage";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidStageArgsLength";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidStartAndEndTimestamp";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidTokenId";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NewSupplyLessThanTotalSupply";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NoSupplyLeft";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotAuthorized";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotEnoughValue";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotSupported";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotTransferable";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "StageSupplyExceeded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TimestampExpired";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TransferFailed";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WalletGlobalLimitExceeded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WalletStageLimitExceeded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WithdrawFailed";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WrongMintCurrency";
        readonly type: "error";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "address";
            readonly name: "receiver";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly internalType: "uint96";
            readonly name: "feeNumerator";
            readonly type: "uint96";
        }];
        readonly name: "DefaultRoyaltySet";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "address";
            readonly name: "cosigner";
            readonly type: "address";
        }];
        readonly name: "SetCosigner";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "globalWalletLimit";
            readonly type: "uint256";
        }];
        readonly name: "SetGlobalWalletLimit";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "maxMintableSupply";
            readonly type: "uint256";
        }];
        readonly name: "SetMaxMintableSupply";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "bool";
            readonly name: "transferable";
            readonly type: "bool";
        }];
        readonly name: "SetTransferable";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "address";
            readonly name: "receiver";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly internalType: "uint96";
            readonly name: "feeNumerator";
            readonly type: "uint96";
        }];
        readonly name: "TokenRoyaltySet";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "uint256";
            readonly name: "stage";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "uint80[]";
            readonly name: "price";
            readonly type: "uint80[]";
        }, {
            readonly indexed: false;
            readonly internalType: "uint80[]";
            readonly name: "mintFee";
            readonly type: "uint80[]";
        }, {
            readonly indexed: false;
            readonly internalType: "uint32[]";
            readonly name: "walletLimit";
            readonly type: "uint32[]";
        }, {
            readonly indexed: false;
            readonly internalType: "bytes32[]";
            readonly name: "merkleRoot";
            readonly type: "bytes32[]";
        }, {
            readonly indexed: false;
            readonly internalType: "uint24[]";
            readonly name: "maxStageSupply";
            readonly type: "uint24[]";
        }, {
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "startTimeUnixSeconds";
            readonly type: "uint64";
        }, {
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "endTimeUnixSeconds";
            readonly type: "uint64";
        }];
        readonly name: "UpdateStage";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "value";
            readonly type: "uint256";
        }];
        readonly name: "Withdraw";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "mintCurrency";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "value";
            readonly type: "uint256";
        }];
        readonly name: "WithdrawERC20";
        readonly type: "event";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint32";
            readonly name: "qty";
            readonly type: "uint32";
        }, {
            readonly internalType: "uint32";
            readonly name: "limit";
            readonly type: "uint32";
        }, {
            readonly internalType: "bytes32[]";
            readonly name: "proof";
            readonly type: "bytes32[]";
        }];
        readonly name: "authorizedMint";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "minter";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "getCosignNonce";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "getGlobalWalletLimit";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "getMaxMintableSupply";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "getNumberStages";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "stage";
            readonly type: "uint256";
        }];
        readonly name: "getStageInfo";
        readonly outputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "uint80[]";
                readonly name: "price";
                readonly type: "uint80[]";
            }, {
                readonly internalType: "uint80[]";
                readonly name: "mintFee";
                readonly type: "uint80[]";
            }, {
                readonly internalType: "uint32[]";
                readonly name: "walletLimit";
                readonly type: "uint32[]";
            }, {
                readonly internalType: "bytes32[]";
                readonly name: "merkleRoot";
                readonly type: "bytes32[]";
            }, {
                readonly internalType: "uint24[]";
                readonly name: "maxStageSupply";
                readonly type: "uint24[]";
            }, {
                readonly internalType: "uint64";
                readonly name: "startTimeUnixSeconds";
                readonly type: "uint64";
            }, {
                readonly internalType: "uint64";
                readonly name: "endTimeUnixSeconds";
                readonly type: "uint64";
            }];
            readonly internalType: "struct IERC1155M.MintStageInfo";
            readonly name: "";
            readonly type: "tuple";
        }, {
            readonly internalType: "uint256[]";
            readonly name: "";
            readonly type: "uint256[]";
        }, {
            readonly internalType: "uint256[]";
            readonly name: "";
            readonly type: "uint256[]";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint32";
            readonly name: "qty";
            readonly type: "uint32";
        }, {
            readonly internalType: "bytes32[]";
            readonly name: "proof";
            readonly type: "bytes32[]";
        }, {
            readonly internalType: "uint64";
            readonly name: "timestamp";
            readonly type: "uint64";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }];
        readonly name: "mint";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint32";
            readonly name: "qty";
            readonly type: "uint32";
        }, {
            readonly internalType: "uint32";
            readonly name: "limit";
            readonly type: "uint32";
        }, {
            readonly internalType: "bytes32[]";
            readonly name: "proof";
            readonly type: "bytes32[]";
        }, {
            readonly internalType: "uint64";
            readonly name: "timestamp";
            readonly type: "uint64";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }];
        readonly name: "mintWithLimit";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "account";
            readonly type: "address";
        }];
        readonly name: "totalMintedByAddress";
        readonly outputs: readonly [{
            readonly internalType: "uint256[]";
            readonly name: "";
            readonly type: "uint256[]";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IERC1155MInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IERC1155M;
}
