import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { IERC721M, IERC721MInterface } from "../../contracts/IERC721M";
export declare class IERC721M__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "ApprovalCallerNotOwnerNorApproved";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "ApprovalQueryForNonexistentToken";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "BalanceQueryForZeroAddress";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CannotIncreaseMaxMintableSupply";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CosignerNotSet";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CrossmintAddressNotSet";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CrossmintOnly";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "GlobalWalletLimitOverflow";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsufficientStageTimeGap";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidCosignSignature";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidProof";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidQueryRange";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidStage";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidStageArgsLength";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidStartAndEndTimestamp";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "MintERC2309QuantityExceedsLimit";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "MintToZeroAddress";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "MintZeroQuantity";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "Mintable";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NoSupplyLeft";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotAuthorized";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotCompatibleWithSpotMints";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotEnoughValue";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotMintable";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotSupported";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "OwnerQueryForNonexistentToken";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "OwnershipNotInitializedForExtraData";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "SequentialMintExceedsLimit";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "SequentialUpToTooSmall";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "SpotMintTokenIdTooSmall";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "StageSupplyExceeded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TimestampExpired";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TokenAlreadyExists";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TransferCallerNotOwnerNorApproved";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TransferFailed";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TransferFromIncorrectOwner";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TransferToNonERC721ReceiverImplementer";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TransferToZeroAddress";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "URIQueryForNonexistentToken";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WalletGlobalLimitExceeded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WalletStageLimitExceeded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WithdrawFailed";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WrongMintCurrency";
        readonly type: "error";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "owner";
            readonly type: "address";
        }, {
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "approved";
            readonly type: "address";
        }, {
            readonly indexed: true;
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "Approval";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "owner";
            readonly type: "address";
        }, {
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "operator";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly internalType: "bool";
            readonly name: "approved";
            readonly type: "bool";
        }];
        readonly name: "ApprovalForAll";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "uint256";
            readonly name: "fromTokenId";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "toTokenId";
            readonly type: "uint256";
        }, {
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }];
        readonly name: "ConsecutiveTransfer";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "activeStage";
            readonly type: "uint256";
        }];
        readonly name: "SetActiveStage";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "string";
            readonly name: "baseURI";
            readonly type: "string";
        }];
        readonly name: "SetBaseURI";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "address";
            readonly name: "cosigner";
            readonly type: "address";
        }];
        readonly name: "SetCosigner";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "address";
            readonly name: "crossmintAddress";
            readonly type: "address";
        }];
        readonly name: "SetCrossmintAddress";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "globalWalletLimit";
            readonly type: "uint256";
        }];
        readonly name: "SetGlobalWalletLimit";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "maxMintableSupply";
            readonly type: "uint256";
        }];
        readonly name: "SetMaxMintableSupply";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "address";
            readonly name: "mintCurrency";
            readonly type: "address";
        }];
        readonly name: "SetMintCurrency";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "bool";
            readonly name: "mintable";
            readonly type: "bool";
        }];
        readonly name: "SetMintable";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "expiry";
            readonly type: "uint64";
        }];
        readonly name: "SetTimestampExpirySeconds";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly indexed: true;
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "Transfer";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "stage";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "uint80";
            readonly name: "price";
            readonly type: "uint80";
        }, {
            readonly indexed: false;
            readonly internalType: "uint80";
            readonly name: "mintFee";
            readonly type: "uint80";
        }, {
            readonly indexed: false;
            readonly internalType: "uint32";
            readonly name: "walletLimit";
            readonly type: "uint32";
        }, {
            readonly indexed: false;
            readonly internalType: "bytes32";
            readonly name: "merkleRoot";
            readonly type: "bytes32";
        }, {
            readonly indexed: false;
            readonly internalType: "uint24";
            readonly name: "maxStageSupply";
            readonly type: "uint24";
        }, {
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "startTimeUnixSeconds";
            readonly type: "uint64";
        }, {
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "endTimeUnixSeconds";
            readonly type: "uint64";
        }];
        readonly name: "UpdateStage";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "value";
            readonly type: "uint256";
        }];
        readonly name: "Withdraw";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "address";
            readonly name: "mintCurrency";
            readonly type: "address";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "value";
            readonly type: "uint256";
        }];
        readonly name: "WithdrawERC20";
        readonly type: "event";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "approve";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint32";
            readonly name: "qty";
            readonly type: "uint32";
        }, {
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly internalType: "uint32";
            readonly name: "limit";
            readonly type: "uint32";
        }, {
            readonly internalType: "bytes32[]";
            readonly name: "proof";
            readonly type: "bytes32[]";
        }, {
            readonly internalType: "uint64";
            readonly name: "timestamp";
            readonly type: "uint64";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }];
        readonly name: "authorizedMint";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "owner";
            readonly type: "address";
        }];
        readonly name: "balanceOf";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "balance";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint32";
            readonly name: "qty";
            readonly type: "uint32";
        }, {
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly internalType: "bytes32[]";
            readonly name: "proof";
            readonly type: "bytes32[]";
        }, {
            readonly internalType: "uint64";
            readonly name: "timestamp";
            readonly type: "uint64";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }];
        readonly name: "crossmint";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "explicitOwnershipOf";
        readonly outputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "address";
                readonly name: "addr";
                readonly type: "address";
            }, {
                readonly internalType: "uint64";
                readonly name: "startTimestamp";
                readonly type: "uint64";
            }, {
                readonly internalType: "bool";
                readonly name: "burned";
                readonly type: "bool";
            }, {
                readonly internalType: "uint24";
                readonly name: "extraData";
                readonly type: "uint24";
            }];
            readonly internalType: "struct IERC721A.TokenOwnership";
            readonly name: "";
            readonly type: "tuple";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256[]";
            readonly name: "tokenIds";
            readonly type: "uint256[]";
        }];
        readonly name: "explicitOwnershipsOf";
        readonly outputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "address";
                readonly name: "addr";
                readonly type: "address";
            }, {
                readonly internalType: "uint64";
                readonly name: "startTimestamp";
                readonly type: "uint64";
            }, {
                readonly internalType: "bool";
                readonly name: "burned";
                readonly type: "bool";
            }, {
                readonly internalType: "uint24";
                readonly name: "extraData";
                readonly type: "uint24";
            }];
            readonly internalType: "struct IERC721A.TokenOwnership[]";
            readonly name: "";
            readonly type: "tuple[]";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "getApproved";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "operator";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "minter";
            readonly type: "address";
        }];
        readonly name: "getCosignNonce";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "getGlobalWalletLimit";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "getMaxMintableSupply";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "getNumberStages";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "index";
            readonly type: "uint256";
        }];
        readonly name: "getStageInfo";
        readonly outputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "uint80";
                readonly name: "price";
                readonly type: "uint80";
            }, {
                readonly internalType: "uint80";
                readonly name: "mintFee";
                readonly type: "uint80";
            }, {
                readonly internalType: "uint32";
                readonly name: "walletLimit";
                readonly type: "uint32";
            }, {
                readonly internalType: "bytes32";
                readonly name: "merkleRoot";
                readonly type: "bytes32";
            }, {
                readonly internalType: "uint24";
                readonly name: "maxStageSupply";
                readonly type: "uint24";
            }, {
                readonly internalType: "uint64";
                readonly name: "startTimeUnixSeconds";
                readonly type: "uint64";
            }, {
                readonly internalType: "uint64";
                readonly name: "endTimeUnixSeconds";
                readonly type: "uint64";
            }];
            readonly internalType: "struct IERC721M.MintStageInfo";
            readonly name: "";
            readonly type: "tuple";
        }, {
            readonly internalType: "uint32";
            readonly name: "";
            readonly type: "uint32";
        }, {
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "owner";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "operator";
            readonly type: "address";
        }];
        readonly name: "isApprovedForAll";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint32";
            readonly name: "qty";
            readonly type: "uint32";
        }, {
            readonly internalType: "bytes32[]";
            readonly name: "proof";
            readonly type: "bytes32[]";
        }, {
            readonly internalType: "uint64";
            readonly name: "timestamp";
            readonly type: "uint64";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }];
        readonly name: "mint";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint32";
            readonly name: "qty";
            readonly type: "uint32";
        }, {
            readonly internalType: "uint32";
            readonly name: "limit";
            readonly type: "uint32";
        }, {
            readonly internalType: "bytes32[]";
            readonly name: "proof";
            readonly type: "bytes32[]";
        }, {
            readonly internalType: "uint64";
            readonly name: "timestamp";
            readonly type: "uint64";
        }, {
            readonly internalType: "bytes";
            readonly name: "signature";
            readonly type: "bytes";
        }];
        readonly name: "mintWithLimit";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "name";
        readonly outputs: readonly [{
            readonly internalType: "string";
            readonly name: "";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "ownerOf";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "owner";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "safeTransferFrom";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "data";
            readonly type: "bytes";
        }];
        readonly name: "safeTransferFrom";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "operator";
            readonly type: "address";
        }, {
            readonly internalType: "bool";
            readonly name: "_approved";
            readonly type: "bool";
        }];
        readonly name: "setApprovalForAll";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "bytes4";
            readonly name: "interfaceId";
            readonly type: "bytes4";
        }];
        readonly name: "supportsInterface";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "symbol";
        readonly outputs: readonly [{
            readonly internalType: "string";
            readonly name: "";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "tokenURI";
        readonly outputs: readonly [{
            readonly internalType: "string";
            readonly name: "";
            readonly type: "string";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "owner";
            readonly type: "address";
        }];
        readonly name: "tokensOfOwner";
        readonly outputs: readonly [{
            readonly internalType: "uint256[]";
            readonly name: "";
            readonly type: "uint256[]";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "owner";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "start";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "stop";
            readonly type: "uint256";
        }];
        readonly name: "tokensOfOwnerIn";
        readonly outputs: readonly [{
            readonly internalType: "uint256[]";
            readonly name: "";
            readonly type: "uint256[]";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "a";
            readonly type: "address";
        }];
        readonly name: "totalMintedByAddress";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "from";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "to";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "tokenId";
            readonly type: "uint256";
        }];
        readonly name: "transferFrom";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }];
    static createInterface(): IERC721MInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IERC721M;
}
